UPDATE pstampJob 
    JOIN pstampRequest USING(req_id)
SET pstampJob.fault = 0
WHERE  pstampRequest.state = 'run'
    AND pstampJob.state = 'run'
    # do not revert faults >= 10 those are faults due to requestor errors
    AND pstampJob.fault < 10
